:root {
  --yellow: #fff822;
  --pink: #eca4ef;
  --blue: #4e90ed;
  --green: #46ADAA;
  --brown: #988574;
  --beige: #EBE6DC;
  --black: #131313;
  --white: #ffffff;
  --header: "neue-haas-grotesk-text", sans-serif;
  --paragraph: "neue-haas-grotesk-text", serif;
  --paragraph-med: "neue-haas-grotesk-text", serif;
  --accent: "neue-haas-grotesk-text", serif;
}

* {
  font-family: var(--paragraph);
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  font-smooth: always;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

*::before, 
*::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

html, 
body {
  overflow-x: hidden !important;
  padding: 0 !important;
  margin: 0 !important;
}

body {
  background-color: var(--blue);
}

a:hover, 
a:hover * {
  cursor: pointer !important;
}

h1, h2, h3, h4, h5, h6, p, ul, ol {
  margin: 0;
  padding: 0;
  color: var(--white);
}

.h1 {
  font-family: var(--header);
  color: var(--yellow);
  font-size: 98px;
  text-align: center;
  margin: 0;
  font-weight: 800;
  letter-spacing: -4px;
}

h2 {
  color: var(--blue);
  font-family: var(--accent);
  text-transform: uppercase;
  font-size: 34px;
  font-weight: 300;
  margin-bottom: 20px;
}

p, .p {
  padding-bottom: 20px;
  font-family: var(--paragraph-med);
  font-size: 36px;
  line-height: 1;
  text-transform: uppercase;
  font-weight: 800;
  text-align: center;
  color: var(--yellow);
  padding-bottom: 36px;
}

p {
  font-size: 21px;
  text-transform: none;
  text-align: left;
}

.container {
  width: 100%;
  max-width: 650px;
  margin: auto;
  padding: 0 15px;
  position: relative;
  z-index: 10;
}

.container-larger {
  max-width: 1200px;
}

.row {
  display: flex;
  flex-wrap: wrap;
}

.col {
  flex: 1;
}

.v-center {
  align-items: center;
}

.center {
  text-align: center;
}

.g-50 {
  gap: 50px !important;
}

.g-25 {
  gap: 25px !important;
}

.btn-container {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
  padding-bottom: 75px;
}

.btn {
  padding: 8px 30px;
  background: var(--yellow);
  color: var(--black);
  border-radius: 20px;
  text-decoration: none;
  text-transform: none;
  font-weight: 500;
  font-size: 24px;
  letter-spacing: -.5px;
  display: inline-flex;
  background: url('../assets/images/btn-bg.svg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 70px;
  width: 385px;
  align-items: center;
  gap: 8px;
  justify-content: space-between;
  transition: all 0.2s;
}

.btn img {
  width: 20px !important;
}

img {
  max-width: 100%;
}

header {
  background: linear-gradient(
    to bottom,
    var(--blue) 0%,
    var(--blue) 58%,
    var(--brown) 62%,
    var(--brown) 100%
  );
  padding-top: 75px;
}

video {
  position: fixed;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 1;
  pointer-events: none;
  mix-blend-mode: screen;
  top: 0;
  z-index: 1;
}

nav {
  text-align: right;
  z-index: 30;
  position: fixed;
  top: 24px;
  right: 24px;
}

.menu-btn {
  display: inline-flex;
  flex-direction: column;
  height: 30px;
  justify-content: space-between;
  position: relative;
}

.menu-btn:hover {
  cursor: pointer;
}

.menu-btn span {
  display: block;
  width: 40px;
  height: 4px;
  background-color: var(--yellow);
}

.menu {
  height: 100vh;
  position: fixed;
  z-index: 20;
  top: 0;
  width: 100%;
  padding: 16px;
  background: #e979c8;
}

.menu {
  transform: translateY(-100%);
  transition: transform 0.4s ease;
}

.menu.active {
  transform: translateY(0);
}

.menu-logo {
  position: relative;
  z-index: 50;
  width: 200px;
  padding-top: 12px;
}

.menu-items {
  position: relative;
  z-index: 50;
}

.menu-items ul {
  height: 100vh;
  list-style: none;
  justify-content: space-evenly;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 150px;
}

.menu-items ul li.menu-item a {
  font-family: var(--paragraph-med);
  color: var(--yellow);
  font-size: 54px;
  text-transform: uppercase;
  text-align: center;
  margin: 0;
  font-weight: 800;
  letter-spacing: -2px;
  text-decoration: none;
}

.s-01 {
  background-color: var(--brown);
  margin-top: -50px;
  padding-bottom: 50px;
}

.s-01 .h1 {
  padding-bottom: 16px;
    letter-spacing: -4px;
    font-size: 85px;
    font-family: var(--paragraph-med);
}

.s-01 .p img {
  width: 225px;
}

.s-01 .text-row p {
  font-size: 21px;
  text-transform: none;
}

.s-01 .text-row {
  display: flex;
  justify-content: space-between;
}

.s-02 {
  position: relative;
  z-index: 5;
  padding: 100px 0;
  margin-top: -50px;
  margin-bottom: -50px;
  background:
    linear-gradient(
    to bottom,
    rgba(233, 121, 200, 0) 0%,
    #e979c8 3%,
    #e979c8 97%,
    rgba(233, 121, 200, 0) 100%
  );
}

.s-02 p {
  padding-bottom: 0;
}

.s-03 {
  padding: 200px 0;
  background:
    linear-gradient(
    to bottom,
    rgba(233, 121, 200, 0) 0%,
    #bc98ce 3%,
    #bc98ce 97%,
    rgba(233, 121, 200, 0) 100%
  );
  margin-top: -100px;
  margin-bottom: -100px;
}

.s-03 h2 {
  padding-bottom: 75px;
}

.s-03 .text-row {
  display: flex;
  justify-content: space-between;
  align-items: end;
  padding-bottom: 24px;
}

.s-03 .text-row p {
  font-size: 21px;
  text-transform: none;
  padding: 0;
}

.experiences {
  display: flex;
  flex-direction: column;
  gap: 75px;
}

.experience h3 {
  font-family: var(--paragraph-med);
  text-transform: uppercase;
  letter-spacing: -6px;
  font-size: 52px;
  line-height: 1;
  word-spacing: 8px;
  color: var(--yellow);
}

.experience .btn {
  padding: 8px 30px;
  background: var(--yellow);
  color: var(--black);
  border-radius: 20px;
  text-decoration: none;
  text-transform: none;
  font-weight: 500;
  font-size: 24px;
  letter-spacing: -.25px;
  display: inline-flex;
  background: url('../assets/images/btn-bg2.svg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 60px;
  width: 250px;
  align-items: center;
  gap: 8px;
  justify-content: space-between;
  transition: all 0.2s;
}

.experience .btn img {
  width: 20px !important;
}

.s-04 {
  position: relative;
  z-index: 5;
  padding: 100px 0;
  margin-top: -50px;
  margin-bottom: -25px;
  background:
    linear-gradient(
    to bottom,
    rgba(233, 121, 200, 0) 0%,
    #2e2c43 2%,
    #2e2c43 100%,
    rgba(233, 121, 200, 0) 100%
  );
}

.s-04 p {
  padding-bottom: 0;
}

.gallery {
  display: flex;
  flex-direction: row;
  gap: 16px;
  flex-wrap: wrap;
}

.gallery img {
  object-fit: cover;
  border-radius: 16px;
  width: calc(50% - 8px);
  height: 225px;
}

.gallery img:first-child {
  height: 650px;
  object-fit: cover;
  width: 100%;
} 

footer {
  background: var(--black);
  position: relative;
  z-index: 5;
  padding: 100px 0;
  background:
    linear-gradient(
    to bottom,
    rgba(233, 121, 200, 0) 0%,
    var(--black) 3%,
    var(--black) 100%,
    rgba(233, 121, 200, 0) 100%
  );
  display: flex;
  flex-direction: column;
  gap: 25px;
  padding-bottom: 75px;
}

footer .p {
  text-align: left;
  margin-bottom: 0;
  padding-bottom: 8px;
}

footer p {
  padding-bottom: 25px;
}

footer p a {
        color: var(--yellow);
}

footer .btn {
  padding: 8px 30px;
  background: var(--yellow);
  color: var(--black);
  border-radius: 20px;
  text-decoration: none;
  text-transform: none;
  font-weight: 400;
  font-size: 24px;
  letter-spacing: -.25px;
  display: inline-flex;
  background: url('../assets/images/btn-bg2.svg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 60px;
  width: 250px;
  align-items: center;
  gap: 8px;
  justify-content: space-between;
  transition: all 0.2s;
      border: 1px solid;
}

footer .btn:hover {
    cursor: pointer;
}

footer .btn img {
  width: 20px !important;
}

footer form {
  display: flex;
  flex-direction: column;
  gap: 16px;
  padding-bottom: 75px;
}

footer form input {
  border-radius: 0;
  height: 50px;
  max-width: 350px;
  width: 100%;
  font-size: 16px;
  padding: 4px;
}

.footer-bottom {
  display: flex;
  flex-direction: column;
  gap: 50px;
  text-align: center;
}

.footer-bottom a {
  font-size: 21px;
  color: #fff;
  font-weight: 800;
}

.footer-bottom a {
    font-size: 18px;
}

.socials {
  display: flex;
  gap: 40px;
  justify-content: center;
}

.socials a {
  text-decoration: none;
}

.socials img {
  width: 30px;
}

body.menu-open {
  overflow: hidden;
}

.menu-btn span {
  transition: all 0.3s ease;
  transform-origin: center;
}

.menu-btn.active span:nth-child(1) {
  transform: translateY(14px) rotate(45deg);
}

.menu-btn.active span:nth-child(2) {
  opacity: 0;
}

.menu-btn.active span:nth-child(3) {
  transform: translateY(-12px) rotate(-45deg);
}

.menu {
  transform: translateY(-100%);
  opacity: 0;
  pointer-events: none;
  transition: transform 0.4s ease, opacity 0.3s ease;
}

.menu.active {
  transform: translateY(0);
  opacity: 1;
  pointer-events: auto;
}

.carousel {
  overflow: hidden;
  position: relative;
      border-radius: 16px;
    overflow: hidden;
}

.carousel-track {
  display: flex;
  transition: transform 0.5s ease;
}

.carousel-slide {
  min-width: 100%;   /* 1 image per slide */
  padding: 0;
  box-sizing: border-box;
}

.carousel-slide img {
    width: 100%;
    height: 650px;
    object-fit: cover;
    display: block;
}

.gallery-overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 5;
  width: 100%;
}

.gallery-overlay h2 {
    margin: 0;
    padding: 0;
}

.gallery-arrows {
    z-index: 5;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    justify-content: space-between;
    width: 95%;
}

.arrow {
        border: none;
    background: 0;
    color: var(--yellow);
}

.arrow:hover {
    cursor: pointer;
}

.gallery-indicators {
  position: absolute;
  bottom: 25px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  gap: 10px;
  z-index: 6;
}

.gallery-indicators button {
  width: 5px;
  height: 5px;
  border-radius: 50%;
  background: rgba(255, 248, 34, 0.4);
  border: none;
  padding: 0;
  cursor: pointer;
  transition: all 0.3s ease;
}

.gallery-indicators button.active {
  background: var(--yellow);
  transform: scale(1.3);
}